Mac users wanting to use Expresii [Update: Parallels 15 can run Expresii]

Post new topic   Reply to topic

Go down

Mac users wanting to use Expresii [Update: Parallels 15 can run Expresii] Empty Mac users wanting to use Expresii [Update: Parallels 15 can run Expresii]

Post  IsleofGough on Sat 20 Apr 2019, 9:36 am

For Mac users: Expresii works well on Bootcamp, and all features of a Wacom tablet will work if you install the driver and tablet. Expresii gives a warning with opening, and errors on save and export with both the most recent versions of Parallels and VMware Fusion. Expresii is a great program, and worth installing bootcamp. Parallels is working on a fix for a future version.

IsleofGough

Posts : 3
Join date : 2019-04-13

Back to top Go down

Mac users wanting to use Expresii [Update: Parallels 15 can run Expresii] Empty Re: Mac users wanting to use Expresii [Update: Parallels 15 can run Expresii]

Post  Admin on Sun 21 Apr 2019, 6:31 pm

Thanks for your note, IsleofGough! For other's information, the error you will get when you save artwork is:
Mac users wanting to use Expresii [Update: Parallels 15 can run Expresii] Captur17

I looked up that same error and found this:
https://forum.allegorithmic.com/index.php?topic=12514.0

It looks like it's really due to Apple's driver not supporting > 16 units. It's sad that Apple doesn't support OpenGL well and says it will depreciate OpenGL support.

Thanks to IsleofGough for contacting Parellels on the issue. Hopefully they can really get it fixed.
Admin
Admin
Admin

Posts : 741
Join date : 2012-12-31

https://expresii.forumotion.net

Back to top Go down

Mac users wanting to use Expresii [Update: Parallels 15 can run Expresii] Empty Re: Mac users wanting to use Expresii [Update: Parallels 15 can run Expresii]

Post  IsleofGough on Thu 25 Apr 2019, 4:50 am

I wonder why Bootcamp video drivers by Apple meet requirements, while those from VMware and Parallels don't? Although open GL is being abandoned over time by Apple, their current drivers should meet the requirement: https://support.apple.com/en-us/HT202823

IsleofGough

Posts : 3
Join date : 2019-04-13

Back to top Go down

Mac users wanting to use Expresii [Update: Parallels 15 can run Expresii] Empty Virtual machines

Post  IsleofGough on Thu 11 Jul 2019, 1:07 am

Apparently the issue with Parallels and VMware Fusion is not their OGL drivers but it is that the Intel Mesa drivers do not allow pass throughs to virtual machines.

IsleofGough

Posts : 3
Join date : 2019-04-13

Back to top Go down

Mac users wanting to use Expresii [Update: Parallels 15 can run Expresii] Empty Expresii for ipad

Post  sergey7ru on Sun 04 Aug 2019, 7:50 pm

version foe ipad at AppStore Question

sergey7ru

Posts : 1
Join date : 2019-08-04

Back to top Go down

Mac users wanting to use Expresii [Update: Parallels 15 can run Expresii] Empty Re: Mac users wanting to use Expresii [Update: Parallels 15 can run Expresii]

Post  Admin on Tue 06 Aug 2019, 9:42 pm

Regarding iPad, please read the bottom of our FAQ: http://www.expresii.com/faq.html
Admin
Admin
Admin

Posts : 741
Join date : 2012-12-31

https://expresii.forumotion.net

Back to top Go down

Mac users wanting to use Expresii [Update: Parallels 15 can run Expresii] Empty Re: Mac users wanting to use Expresii [Update: Parallels 15 can run Expresii]

Post  Admin on Tue 14 Apr 2020, 5:09 pm

Good news!  Parallels 15 has an issue with Expresii fixed!
"Resolves an issue with Luminar 2018, Photocentric Studio, Autodesk Recap 2015/2016, Expresii and Pix4Dmapper working incorrectly or not working at all." from https://kb.parallels.com/124724
Thanks to weibo user Yvian_ for the heads-up! Very Happy

[Update: but the shader sampler count limitation is still there]


Last edited by Admin on Wed 15 Apr 2020, 3:39 pm; edited 1 time in total
Admin
Admin
Admin

Posts : 741
Join date : 2012-12-31

https://expresii.forumotion.net

Back to top Go down

Mac users wanting to use Expresii [Update: Parallels 15 can run Expresii] Empty Re: Mac users wanting to use Expresii [Update: Parallels 15 can run Expresii]

Post  Admin on Wed 15 Apr 2020, 1:17 pm

See a demo video here:

The only remaining obstacle is the GPU shader samplers limitation (limited to 16; Expresii needs 18) on the Parallels implmentation. This keeps Expresii from saving artwork at the moment. Nevertheless, I consider this very good news to Mac users who want to use Expresii~ Thanks to Parallels for the update on version 15!
Admin
Admin
Admin

Posts : 741
Join date : 2012-12-31

https://expresii.forumotion.net

Back to top Go down

Mac users wanting to use Expresii [Update: Parallels 15 can run Expresii] Empty Re: Mac users wanting to use Expresii [Update: Parallels 15 can run Expresii]

Post  Sponsored content


Sponsored content


Back to top Go down

Back to top


Post new topic   Reply to topic
 
Permissions in this forum:
You can reply to topics in this forum